<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}css/style_v4.css" media="screen" />
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.8/css/dataTables.bootstrap.min.css" media="screen" />
<script type="text/javascript" src="https://cdn.datatables.net/1.10.8/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.8/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript">
    {literal}
        $(document).ready(function () {

            var table = $("#faq-tab").DataTable({
                dom: "ftlp<'clear'>",
                language: {
                    emptyTable: "keine Eintr&auml;ge vorhanden",
                    info: "Zeige _START_ bis _END_ von _TOTAL_ Eintr&auml;gen",
                    infoEmpty: "Zeige 0 bis 0 von 0 Eintr&auml;gen",
                    search: "",
                    zeroRecords: "keine Eintr&auml;ge gefunden",
                    lengthMenu: "Zeige _MENU_ Eintr&auml;ge",
                    paginate: {
                        first: "",
                        last: "",
                        next: "Vor",
                        previous: "Zur&uuml;ck"
                    }
                },
                aoColumnDefs: [
                    {bSortable: false, aTargets: [4]}
                ]
            });

            $("#faq-tab_filter input[type=search]").attr("placeholder", "Suchbegriff hier eingeben");

            $("#faq-tab tbody").on("click", ".icon.loeschen", function () {
                if (confirm("Mchten Sie die Frage wirklich lschen?"))
                {
                    var elem = $(this).parents("tr");

                    $.ajax({
                        url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_produkt_faq.ajax.php?action=deleteFaq&kFaq=" + elem.data("kfaq"),
                        cache: false
                    }).done(function (ret) {
                        if (ret)
                        {
                            $(elem).remove();
                        }
                    });
                }
            });

        });
    {/literal}
</script>
<div class="panel panel-default panel-idx-0 first">
    {if $status === 'warning'}
        <p class="alert alert-danger">Beim Importieren der Inhalte ist ein Fehler aufgetreten.</p>
    {elseif $status === 'success'}
        <p class="alert alert-success">Import erfolgreich.</p>
    {/if}
    <div class="panel-heading">
        <h3 class="panel-title">FAQ</h3>
    </div>
    <div class="panel-body">
        <table id="faq-tab" class="table">
            <thead>
                <tr>
                    <th>Artikel</th>
                    <th>Frage</th>
                    <th>Antwort</th>
                    <th>Sprache</th>
                    <th>aktualisiert</th>
                    <th>Aktion</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$aFaq item=oFaq}
                    <tr id="faq_{$oFaq->kFaq}" data-kFaq="{$oFaq->kFaq}">
                        <td>{if $oFaq->cArtikelName}<a href="{$URL_SHOP}/{$oFaq->cArtikelUrl}" target="_blank" title="zum Artikel">{$oFaq->cArtikelName}</a>{else}kein Artikel{/if}</td>
                        <td>{$oFaq->cFrage|strip_tags|truncate:50}</td>
                        <td>{$oFaq->cAntwort|strip_tags|truncate:50}</td>
                        <td>{$oFaq->cSpracheName}</td>
                        <td>{$oFaq->dZuletztAktualisiert}</td>
                        <td>
                            <span class="icon bearbeiten"><a href="?kPlugin={$oPlugin->kPlugin}&cPluginTab=FAQ&kFaq={$oFaq->kFaq}"><img src="{$oPlugin->cAdminmenuPfadURL}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" /></a></span>
                            <span class="icon loeschen"><img src="{$oPlugin->cAdminmenuPfadURL}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" /></span>   
                        </td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
    </div>

    <div class="jst_product_faq_save_wrapper btn-group">
        <a href="?kPlugin={$oPlugin->kPlugin}&cPluginTab=FAQ&kFaq=new" class="btn btn-primary" title="neue Frage hinzufgen">neue Frage hinzufgen</a>
    </div>
</div>
<div class="row">
    <div class="col-md-6">
        <h4>Export-Datei erstellen:</h4>
        <form id="jst_product_faq_export_button" class="save_wrapper" action="{$baseURL}export.php" method="post">
            <input type="submit" id="export_submit_button" class="button btn btn-primary" value="Inhalte Exportieren"></input>
        </form>
    </div>
    <div class="col-md-6">
        <h4>Datei-Inhalte importieren</h4>
        <form id="jst_product_faq_import_button" class="save_wrapper" action="{$baseURL}import.php" method="post" enctype="multipart/form-data">
            <input type="submit" id="import_submit_button" class="button btn btn-primary" value="Inhalte Importieren" style="float: left;"></input>
            <input name="Datei" type="file" size="50" maxlength="100000" accept=".csv" style="margin: 5px 10px; float: left;">
        </form>
    </div>
</div>