<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}css/style_v4.css" media="screen" />
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.8/css/dataTables.bootstrap.min.css" media="screen" />
<script type="text/javascript" src="https://cdn.datatables.net/1.10.8/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.8/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript">
    {literal}
        $(document).ready(function () {

            $("#emails-tab tbody").on("click", ".icon.loeschen", function () {

                if (confirm("Mchten Sie die Email wirklich lschen?"))
                {
                    var elem = $(this).parents("tr");

                    $.ajax({
                        url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_produkt_faq.ajax.php?action=deleteEmail&kEmail=" + elem.data("kemail"),
                        cache: false
                    })
                            .done(function (ret) {
                                if (ret)
                                {
                                    $(elem).remove();
                                }
                            });
                }
            });

            var table = $("#emails-tab").DataTable({
                dom: "ftlp<'clear'>",
                language: {
                    emptyTable: "keine Emails vorhanden",
                    info: "Zeige _START_ bis _END_ von _TOTAL_ Eintr&auml;gen",
                    infoEmpty: "Zeige 0 bis 0 von 0 Eintr&auml;gen",
                    search: "",
                    zeroRecords: "keine Emails gefunden",
                    lengthMenu: "Zeige _MENU_ Eintr&auml;ge",
                    paginate: {
                        first: "",
                        last: "",
                        next: "Vor",
                        previous: "Zur&uuml;ck"
                    }
                },
                aoColumnDefs: [
                    {bSortable: false, aTargets: [4]}
                ]
            });

            $("#emails-tab_filter input[type=search]").attr("placeholder", "Suchbegriff hier eingeben");
        });
    {/literal}
</script>
<div class="panel panel-default panel-idx-0 first">
    <div class="panel-heading">
        <h3 class="panel-title">Emails</h3>
    </div>
    <div class="panel-body">
        <table id="emails-tab" class="table">
            <thead>
                <tr>
                    <th>Artikel</th>
                    <th>Frage</th>
                    <th>Name</th>
                    <th>Email-Adresse</th>
                    <th>Aktion</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$aEmail item=oEmail}
                    <tr id="email_{$oEmail->kEmail}" data-kEmail="{$oEmail->kEmail}">
                        <td>{if $oEmail->cArtikelName}<a href="{$URL_SHOP}/{$oEmail->cArtikelUrl}" target="_blank" title="zum Artikel">{$oEmail->cArtikelName}</a>{else}kein Artikel{/if}</td>
                        <td>{$oEmail->cFrage|strip_tags|truncate:50}</td>
                        <td>{$oEmail->cName}</td>
                        <td>{$oEmail->cEmail}</td>
                        <td>
                            <span class="icon bearbeiten"><a href="?kPlugin={$oPlugin->kPlugin}&cPluginTab=Emails&kEmail={$oEmail->kEmail}"><img src="{$oPlugin->cAdminmenuPfadURL}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" /></a></span>
                            <span class="icon loeschen"><img src="{$oPlugin->cAdminmenuPfadURL}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" /></span>   
                        </td>
                    </tr>
                {/foreach}
            </tbody>
        </table>

    </div>
</div>
