<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}css/style.css" media="screen" />
<link rel="stylesheet" type="text/css" href="{$oPlugin->cAdminmenuPfadURL}css/jquery.dataTables.css" media="screen" />
<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
{literal}
    $(document).ready(function() {
              
        var table = $("#faq").DataTable({
            dom: "tflp<'clear'>",
            language: {
                emptyTable: "keine Eintr&auml;ge vorhanden",
                info: "Zeige _START_ bis _END_ von _TOTAL_ Eintr&auml;gen",
                infoEmpty: "Zeige 0 bis 0 von 0 Eintr&auml;gen",
                search: "",
                zeroRecords: "keine Eintr&auml;ge gefunden",
                lengthMenu: "Zeige _MENU_ Eintr&auml;ge",
                paginate: {
                    first: "",
                    last: "",
                    next: "Vor",
                    previous: "Zur&uuml;ck"
                }
            },
            aoColumnDefs: [
                { bSortable: false, aTargets: [ 4 ] }
            ]
        });
               
        $("#faq_filter input[type=search]").attr("placeholder", "Suchbegriff hier eingeben");
        $("#faq_header").prepend($("#faq_filter > label > input[type=search]"));
        
        $("#faq_header .icon.hilfe").click(function () {
            $("#jst_hilfe_faq").show().center();
        });
        
        $(".icon.hilfeAbbrechen").click(function () {
            $("#jst_hilfe_faq").hide();
        });

        $("#faq tbody").on("click", ".icon.loeschen", function () {
            if (confirm("Mchten Sie die Frage wirklich lschen?"))
            {
                var elem = $(this).parents("tr");

                $.ajax({
                  url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jst_produkt_faq.ajax.php?action=deleteFaq&kFaq=" + elem.data("kfaq"),
                  cache: false
                })
                .done(function (ret) {
                    if (ret)
                    {
                        table.row(elem).remove().draw();
                    }
                });
            }
        });
               
    });
{/literal}
</script>
<div class="jst_produkt_faq_wrapper">  
    <div id="jst_hilfe_faq" class="jst_hilfe jst_popup_wrapper">
        <div class="jst_popup">
            <h1>Hilfe</h1>
            <p>Auf dieser Seite k&ouml;nnen Sie neue Fragen hinzuf&uuml;gen, bearbeiten und l&ouml;schen.</p>
            <span class="icon hilfeAbbrechen"><img src="{$oPlugin->cAdminmenuPfadURL}img/zurueck.png" title="Abbrechen" alt="Abbrechen" /><br />Abbrechen</span>
            <div class="clear"></div>
        </div>
    </div>

    <div class="jst_produkt_faq_header" id="faq_header">
        <span class="icon hilfe">
            <img src="{$oPlugin->cAdminmenuPfadURL}img/infos.png" title="Hilfe" alt="Hilfe" /><br />Hilfe
        </span>
        <span class="icon hinzufuegen">
            <a href="?kPlugin={$oPlugin->kPlugin}&cPluginTab=FAQ&kFaq=new"><img src="{$oPlugin->cAdminmenuPfadURL}img/hinzufuegen.png" title="neue Frage hinzuf&uuml;gen" alt="neue Frage hinzuf&uuml;gen" /><br />neue Frage hinzuf&uuml;gen</a>
        </span>
        <div class="clear"></div>
    </div>
    
    <table id="faq">
        <thead>
            <tr>
                <th>Artikel</th>
                <th>Frage</th>
                <th>Antwort</th>
                <th>Sprache</th>
                <th>Aktion</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$aFaq item=oFaq}
            <tr id="faq_{$oFaq->kFaq}" data-kFaq="{$oFaq->kFaq}">
                <td>{if $oFaq->cArtikelName}<a href="{$URL_SHOP}/{$oFaq->cArtikelUrl}" target="_blank" title="zum Artikel">{$oFaq->cArtikelName}</a>{else}kein Artikel{/if}</td>
                <td>{$oFaq->cFrage|strip_tags|truncate:50}</td>
                <td>{$oFaq->cAntwort|strip_tags|truncate:50}</td>
                <td>{$oFaq->cSpracheName}</td>
                <td>
                    <span class="icon bearbeiten"><a href="?kPlugin={$oPlugin->kPlugin}&cPluginTab=FAQ&kFaq={$oFaq->kFaq}"><img src="{$oPlugin->cAdminmenuPfadURL}img/bearbeiten.png" title="Bearbeiten" alt="Bearbeiten" /></a></span>
                    <span class="icon loeschen"><img src="{$oPlugin->cAdminmenuPfadURL}img/loeschen.png" title="L&ouml;schen" alt="L&ouml;schen" /></span>   
                </td>
            </tr>
            {/foreach}
        </tbody>
    </table>
    <div class="clear"></div>
</div>
        